# serialver - The Serial Version Command

> The serialver command returns the `serialVersionUID`.

## SYNOPSIS

>     serialver [ options ] [ classnames ]

> > `options`
> >   Command-line options, as specified in this document.
> > `classnames`
> >   One or more class names

## DESCRIPTION

> serialver returns the `serialVersionUID` for one or more classes in a form suitable for copying into an evolving class. When invoked with no arguments it prints a usage line.

## OPTIONS

> -classpath <directories and zip/jar files separated by :>
>   Set search path for application classes and resources.
> -show
>   Displays a simple user interface. Enter the full class name and press either the Enter key or the Show button to display the serialVersionUID.

> -J option
>   Pass option to the Java virtual machine, where option is one of the options described on the reference page for the java application launcher. For example, -J-Xms48m sets the startup memory to 48 megabytes.

## SEE ALSO

> `java.io.ObjectStreamClass`

Copyright © 2002 Sun Microsystems, Inc. All Rights Reserved. | Java Software